Bug 1898105 - postgresql fails to build in rawhide: There is no ./configure
Summary: postgresql fails to build in rawhide: There is no ./configure
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-16 12:06 UTC by Miro Hrončok
Modified: 2021-02-09 16:23 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-11-16 12:06:47 UTC
Description of problem:
Package postgresql fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
12.4-3.fc34

Steps to Reproduce:
$ fedpkg build
$ fedpkg mockbuild

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/postgresql

The problem in mock and copr is:

+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info pgdocdir=/usr/share/doc/postgresql PGVERSION=12.4 PGMAJORVERSION=12 NAME_DEFAULT_PREV_SERVICE=postgresql
/var/tmp/rpm-tmp.JJAJhw: line 75: ./configure: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.JJAJhw (%build)



The problem in Koji is different, but the package fails to build there as well.



This is blocking the Python 3.10 rebuild and hence it is important for us to see it fixed.


For all our attempts to build postgresql with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/postgresql/

Testing and mass rebuild of packages with Python 3.10 is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2020-11-16 12:12:23 UTC
Correction:

With this commit https://src.fedoraproject.org/rpms/postgresql/c/5a34bed68f9e043ae63eb650d26cec913e6f37aa?branch=master the failure is as described:

+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info pgdocdir=/usr/share/doc/postgresql PGVERSION=12.4 PGMAJORVERSION=12 NAME_DEFAULT_PREV_SERVICE=postgresql
/var/tmp/rpm-tmp.JJAJhw: line 75: ./configure: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.JJAJhw (%build)


Previously (and also on Fedora 33 and 32), the failure is as shown in Koschei (because Koschei builds from latest SRPM, not dist git).

Honza, could you please have a look? It seems that your commit from 3 weeks ago was never built.

Comment 2 Honza Horak 2020-11-16 16:39:17 UTC
Yeah, my fault most probably, looking at it :(

Comment 3 Honza Horak 2020-12-02 11:45:37 UTC
Fixed already for some time: https://src.fedoraproject.org/rpms/postgresql/c/dec2de7c?branch=master
Although there is another issue that blocks building --failing test, but it should be fixed once the package is updated to the latest upstream version.

Comment 4 Ben Cotton 2021-02-09 15:24:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.